# Generated by Django 4.1.7 on 2024-02-09 07:45

from django.db import migrations


def add_call_status_data(apps, schema_editor):
    CallStatus = apps.get_model("ims_call_center", "callstatus")
    CallStatus.objects.get_or_create(name="Answered")
    CallStatus.objects.get_or_create(name="Answered (Other)")
    CallStatus.objects.get_or_create(name="Busy")
    CallStatus.objects.get_or_create(name="Not reachable")
    CallStatus.objects.get_or_create(name="Disconnected")
    CallStatus.objects.get_or_create(name="Unanswered")


class Migration(migrations.Migration):
    dependencies = [
        ("ims_call_center", "0007_callsheet_category"),
    ]

    operations = [
        migrations.RunPython(
            add_call_status_data, reverse_code=migrations.RunPython.noop
        ),
    ]
